'''
Created on 12 mai 2021

@author: laborie
'''
from django.test import TestCase
from model_bakery import baker
from mri_links.models import LiensOutils

class LiensOutilsTests(TestCase):
    @classmethod
    def setUpTestData(cls):
        baker.make(LiensOutils)

    def test_lien_max_length(self):
        lien = LiensOutils.objects.get(id=1)
        max_length = lien._meta.get_field('lien').max_length
        self.assertEqual(max_length, 200)

    def test_texte_lien_fr_max_length(self):
        lien = LiensOutils.objects.get(id=1)
        max_length = lien._meta.get_field('texte_lien_fr').max_length
        self.assertEqual(max_length, 30)

    def test_texte_lien_en_max_length(self):
        lien = LiensOutils.objects.get(id=1)
        max_length = lien._meta.get_field('texte_lien_en').max_length
        self.assertEqual(max_length, 30)
